debian_10_buster_stable_에_최신_firefox_non_esr_을_설치하는_방법

차이

문서의 선택한 두 판 사이의 차이를 보여줍니다.

차이 보기로 링크

debian_10_buster_stable_에_최신_firefox_non_esr_을_설치하는_방법 [2020/04/04 14:43] (현재)
koov 만듦
줄 1: 줄 1:
 +====== Debian 10 (buster) stable 에 최신 FireFox (non ESR)을 설치하는 방법 ======
 +데비안 안정 및 테스트는 저장소에 Firefox-ESR 만 있습니다. 이 글은 Debian Stable (Buster) 또는 Testing (Bullseye)에 최신 Firefox (안정적이지만 비 ESR)를 설치하는 방법을 설명합니다.
 +
 +Firefox ESR 또는 Extended Support Release는 최신 기능 대신 보안 및 안정성에 중점을 둔 공식 Firefox 버전입니다. 확장 된주기 동안 Firefox ESR에 새로운 기능이 추가되지 않으며 위험이 높거나 영향을 미치는 보안 취약점 또는 주요 안정성 문제 만 수정됩니다.
 +
 +따라서 Firefox ESR은 주로 대학, 정부 또는 기업과 같은 조직뿐만 아니라 기능보다 안정성을 선호하는 개인 및 릴리스 간 변경되지 않는 사용자 인터페이스를 대상으로합니다.
 +
 +이 기사는 데비안 안정 (buster) 또는 테스팅 (Bullseye)에 최신 비 ESR 파이어 폭스를 설치하는 두 가지 방법을 제시합니다 : 데비안 불안정 저장소에서 설치 (필요한 경우 변경 사항을 되돌리려면 적절한 고정 및 지침) 또는 수동으로 응용 프로그램 메뉴에서 Firefox를 다운로드하여 포함합니다.
 +
 +이 기사를 작성할 당시 최신 Firefox ESR은 버전 68 (68.2)이고 ''최신 일반 Firefox 릴리스는 버전 74'' 입니다. 일반 Firefox (ESR이 아닌)는 새롭고 분리 된 것을 사용할 것입니다. 프로필 . Firefox-ESR 프로파일은 시스템에 남아 있으며 Firefox ESR을 실행하면로드되지만 일반 Firefox 버전에서는 사용되지 않습니다.
 +
 +===== unstable 저장소를 이용하는 방법 =====
 +==== unstable 저장소 추가 ====
 +
 +소스리스트에 unstable 저장소 경로를 추가합니다.
 +
 +<WRAP prewrap>
 +<code vim /etc/apt/sources.list>
 +deb http://deb.debian.org/debian/ unstable main contrib non-free
 +</code>
 +</WRAP>
 +
 +==== 우선순위 설정 ====
 +위와같이 unstable 저장소를 추가하고 나면 무조건 최신버전인 unstable 저장소의 패키지로 설치하게 되는 문제가 있습니다. 본인이 원해서 unstable 버전으로 업데이트 한다면 상관 없지만 firefox를 제외한 나머지는 stable버전으로 유지하고 싶은경우에는 아래와 같이 적용하도록 합니다.
 +
 +
 +<WRAP prewrap>
 +<code vim /etc/apt/preferences.d/99pin-unstable>
 +Package: *
 +Pin: release a=stable
 +Pin-Priority: 900
 +
 +Package: *
 +Pin release a=unstable
 +Pin-Priority: 10
 +</code>
 +</WRAP>
 +
 +이 내용은 각 릴리즈에 우선순위를 적용하는것인데 우선순위값이 높은쪽을 선호하게 됩니다. stable 저장소가 우선순위 900, unstable 저장소가 우선순위 10 이므로 stable 저장소를 우선하게 됩니다.
 +
 +==== 최신버전 firefox 패키지 설치 ====
 +이제 Debian 10 Buster (Stable) 또는 Bullseye (Testing)에 최신 일반 Firefox를 설치할 수 있습니다.
 +
 +<WRAP prewrap>
 +<code bash>
 +apt install -t unstable firefox
 +</code>
 +</WRAP>
 +
 +<WRAP round info>
 +위에서 설정한 저장소 고정 규칙으로 인해 일반적으로 ''apt install firefox'' 명령어가 작동하지 않습니다. 위 내용에서 언급 한대로 정확하게 ''apt install -t unstable firefox'' 옵션을 사용하여 설치하십시오
 +</WRAP>
 + 
 +==== 기존버전 제거 ====
 +시스템에 일반 Firefox 버전과 Firefox ESR이 모두 설치되어 있다면 Firefox ESR을 제거 할 수 있습니다
 +
 +<WRAP prewrap>
 +<code bash>
 +apt purge firefox-esr
 +</code>
 +</WRAP>
 +
 +===== 참조링크 =====
 +  * https://www.linuxuprising.com/2019/12/how-to-install-latest-firefox-non-esr.html
 +
  
  • debian_10_buster_stable_에_최신_firefox_non_esr_을_설치하는_방법.txt
  • 마지막으로 수정됨: 2020/04/04 14:43
  • 저자 koov